Skip to main content
GET
/
admin
/
v1
/
items
/
{itemId}
Get Memory Item
curl --request GET \
  --url https://api.example.com/admin/v1/items/{itemId}
{
  "data": {
    "itemId": 123,
    "userId": "<string>",
    "agentId": "<string>",
    "memoryId": "<string>",
    "content": "<string>",
    "scope": "<string>",
    "category": "<string>",
    "vectorId": "<string>",
    "rawDataId": "<string>",
    "contentHash": "<string>",
    "occurredAt": "2023-11-07T05:31:56Z",
    "observedAt": "2023-11-07T05:31:56Z",
    "metadata": {},
    "type": "<string>",
    "rawDataType": "<string>",
    "sourceClient": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.openmemind.com/llms.txt

Use this file to discover all available pages before exploring further.

The API Reference is under active development. Request and response schemas may change before a stable release.

Path Parameters

itemId
integer<int64>
required

Response

200 - */*

OK

data
object